Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.component
Interface ComponentEventListener

All Known Implementing Classes:
  PacketCopier

    public interface ComponentEventListener

Interface to listen for component events. Use the `InternalComponentManager.addListener(ComponentEventListener)` method to register for events.

Author:
  Gaston Dombiak

Method Summary
`void` | `componentInfoReceived(Component component, IQ iq)` The server has received a disco#info response from the component.
`void` | `componentRegistered(Component component, JID componentJID)` A component was registered with the Component Manager.
`void` | `componentUnregistered(Component component, JID componentJID)` A component was removed.

Method Detail

### componentRegistered

    void componentRegistered(Component component,
                             JID componentJID)

  A component was registered with the Component Manager. At this point the component has been intialized and started. XMPP entities can exchange packets with the component. However, the component is still not listed as a disco#items of the server since the component has not answered the disco#info request sent by the server.

  Parameters:
    `component` - the newly added component.
    `componentJID` - address where the component can be located (e.g. search.myserver.com)

### componentUnregistered

    void componentUnregistered(Component component,
                               JID componentJID)

  A component was removed.

  Parameters:
    `component` - the removed component.
    `componentJID` - address where the component was located (e.g. search.myserver.com)

### componentInfoReceived

    void componentInfoReceived(Component component,
                               IQ iq)

  The server has received a disco#info response from the component. Once a component is registered with the server, the server will send a disco#info request to the component to discover if service discover is supported by the component. This event is triggered when the server received the response of the component.

  Parameters:
    `component` - the component that answered the disco#info request.
    `iq` - the IQ packet with the disco#info sent by the component.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.